Advisory Details

November 7th, 2011

Novell ZENWorks Software Packaging ISGrid.Grid2.1 DoFindReplace bstrReplaceText Parameter Remote Code Execution Vulnerability

ZDI-11-319
ZDI-CAN-1235

CVE ID CVE-2011-3174
CVSS SCORE 9, (AV:N/AC:L/Au:N/C:P/I:P/A:C)
AFFECTED VENDORS Novell
AFFECTED PRODUCTS Zenworks
TREND MICRO CUSTOMER PROTECTION Trend Micro TippingPoint IPS customers are protected against this vulnerability by Digital Vaccine protection filter ID 11268. For further product information on the TippingPoint IPS: http://www.tippingpoint.com
VULNERABILITY DETAILS


This vulnerability allows remote attackers to execute arbitrary code on vulnerable installations of Novell ZENWorks. User interaction is required to exploit this vulnerability in that the target must visit a malicious page or open a malicious file.

The specific flaw exists within \Program Files\Common Files\InstallShield\ISGrid2.dll. If the bstrReplaceText parameter exceeds its statically-allocated length then a buffer overflow will occur. This can be exploited to execute arbitrary code on the system in the context of the user running the browser.

ADDITIONAL DETAILS Novell has issued an update to correct this vulnerability. More details can be found at:
http://www.novell.com/support/viewContent.do?externalId=7009570&sliceId=1
DISCLOSURE TIMELINE
  • 2011-05-17 - Vulnerability reported to vendor
  • 2011-11-07 - Coordinated public release of advisory
CREDIT Andrea Micalizzi aka rgod
BACK TO ADVISORIES